<?php

function am_replace_tags($text){
	$tags = array('stat_cats','stat_post_number');
	
	foreach($tags as $tag){
		$function = 'am_'.$tag;
		if(function_exists($function)){
			$val = $function();
			$text = str_replace('['.$tag.']', '<b>'.$val.'</b>', $text);
		}
	}
	
	return $text;
}

function am_stat_cats(){
	$tax = 'category-link';
	$categories = get_terms($tax, 'orderby=name&hide_empty=0&hierarchical=0' );
	return count($categories);
}

function am_stat_post_number(){
	$type = 'link-post';
	
	$args = array( 'numberposts' => -1, 'post_type'=>$type );
	
	$posts = get_posts( $args );
	
	return count($posts);
}

add_action('init', 'am_create_download');
function am_create_download() {
	$labels = array(
		'name' => __('Columns', 'am'),
		'singular_name' => __('Link', 'am'),
		'add_new' => __('Add column', 'am'),
		'add_new_item' => __('Add column', 'am'),
		'edit_item' => __('Edit column', 'am'),
		'new_item' => __('New column', 'am'),
		'view_item' => __('View column', 'am'),
		'search_items' => __('Search column', 'am'),
		'not_found' =>  __('No columns found', 'am'),
		'not_found_in_trash' => __('No columns found in Trash', 'am'), 
		'parent_item_colon' => ''
	);
	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'exclude_from_search' => false,
		'show_ui' => true, 
		'query_var' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array('title','editor','page-attributes'),
		'rewrite' => array(
			'slug' => 'link-post'
		)
	);
	
	register_post_type('link-post',$args);
}
function filter_measurement_unit_types( $array, $field_id ) {
  
  /* only run the filter on measurement with a field ID of my_measurement */
  if ( $field_id == 'style_header_height' ) {
    $array = array(
      'px' => 'px'
    );
  }
  
  return $array;
}
add_filter( 'ot_measurement_unit_types', 'filter_measurement_unit_types', 10, 2 );

function am_prepare_fonts(){
	global $am_option;
	$fonts = array();
	$fonts[] =  array(
        'value'       => '',
        'label'       => __('Default Font','am'),
        'src'         => ''
      );
	foreach($am_option['fonts'] as $v){
		if(is_string($v)){
			$v = trim($v);
			if(!empty($v)){
				$fonts[] =  array(
		            'value'       => $v,
		            'label'       => $v,
		            'src'         => ''
		          );
	        }
		}
	}
	
	return $fonts;
}

function am_custom_styles(){

	global $am_option;
	
	$style_bg_gradient_footer_color = ot_get_option('style_bg_gradient_footer_color','#000000');
	$style_text_color = ot_get_option('style_text_color','#ffffff');
	$style_bg_box_search_color = ot_get_option('style_bg_box_search_color','#ffffff');
	$style_bg_box_search_transparent_level = ot_get_option('style_bg_box_search_transparent_level','0.2');
	$style_bg_box_search_text_color = ot_get_option('style_bg_box_search_text_color','#ffffff');
	$style_text_link_color = ot_get_option('style_text_link_color','#ffffff');
	$style_headers_color = ot_get_option('style_headers_color','#000000');
	$style_headers_link_color = ot_get_option('style_headers_link_color','#000000');
	$style_highlight_color = ot_get_option('style_highlight_color','#ff5b01');
	$style_menu_link_color = ot_get_option('style_menu_link_color','#000000');
	$style_menu_hover_link_color = ot_get_option('style_menu_hover_link_color','#ffffff');
	$style_menu_hover_bg_top_color = ot_get_option('style_menu_hover_bg_top_color','#fca275');
	$style_menu_hover_bg_bottom_color = ot_get_option('style_menu_hover_bg_bottom_color','#e94d00');
	$style_menu_top_border_width = ot_get_option('style_menu_top_border_width','0');
	$style_menu_top_border_color = ot_get_option('style_menu_top_border_color','#000000');
	$style_menu_top_border_style = ot_get_option('style_menu_top_border_style','solid');
	$style_menu_bottom_border_width = ot_get_option('style_menu_bottom_border_width','0');
	$style_menu_bottom_border_color = ot_get_option('style_menu_bottom_border_color','#000000');
	$style_menu_bottom_border_style = ot_get_option('style_menu_bottom_border_style','solid');
	$style_menu_bottom_margin = ot_get_option('style_menu_bottom_margin','0');
	$style_menu_top_margin = ot_get_option('style_menu_top_margin','0');
	$style_menu_order = ot_get_option('style_menu_order','below');
	$style_menu_link_border_width = ot_get_option('style_menu_link_border_width','0');
	$style_menu_link_border_radius = ot_get_option('style_menu_link_border_radius','0');
	$style_menu_link_border_color = ot_get_option('style_menu_link_border_color','#000000');
	$style_menu_link_border_style = ot_get_option('style_menu_link_border_style','solid');
	$style_menu_hide_all_bg = ot_get_option('style_menu_hide_all_bg','no');
	if(!isset($style_menu_hide_all_bg[0]))
		$style_menu_hide_all_bg = 'no';
	else
		$style_menu_hide_all_bg = $style_menu_hide_all_bg[0];
	$style_button_text_color = ot_get_option('style_button_text_color','#ffffff');
	$style_button_bg_top_color = ot_get_option('style_button_bg_top_color','#fca275');
	$style_button_bg_bottom_color = ot_get_option('style_button_bg_bottom_color','#e94d00');
	$style_weblinks_bottom_border_color = ot_get_option('style_weblinks_bottom_border_color','#02779d');
	$style_weblinks_icon_color = ot_get_option('style_weblinks_icon_color','#ff5b01');
	$style_weblinks_bg_top_color = ot_get_option('style_weblinks_bg_top_color','#ffffff');
	$style_weblinks_bg_bottom_color = ot_get_option('style_weblinks_bg_bottom_color','#cbcbcb');
	$style_weblinks_link_color = ot_get_option('style_weblinks_link_color','#ffffff');
	$style_weblinks_link_hover_color = ot_get_option('style_weblinks_link_hover_color','#000000');
	$style_weblinks_title_color = ot_get_option('style_weblinks_title_color','#000000');
	$style_footer_text_color = ot_get_option('style_footer_text_color','#ffffff');
	$style_footer_link_color = ot_get_option('style_footer_link_color','#ffffff');
	$style_footer_link_hover_color = ot_get_option('style_footer_link_hover_color','#ffffff');
	$style_bg_box_color = ot_get_option('style_bg_box_color','#ffffff');
	$style_bg_box_transparent_level = ot_get_option('style_bg_box_transparent_level','0.2');
	$style_bg_box_boder_width = ot_get_option('style_bg_box_boder_width','0');
	$style_bg_box_boder_color = ot_get_option('style_bg_box_boder_color','#000000');
	$style_bg_box_boder_style = ot_get_option('style_bg_box_boder_style','solid');
	$style_menu_line_bg_top_color = ot_get_option('style_menu_line_bg_top_color','#ffffff');
	$style_menu_line_bg_bottom_color = ot_get_option('style_menu_line_bg_bottom_color','#ededed');
	$style_menu_separator_color = ot_get_option('style_menu_separator_color','#d6d6d6');
	$style_footer_menu_line_bg_top_color = ot_get_option('style_footer_menu_line_bg_top_color','#ffffff');
	$style_footer_menu_line_bg_bottom_color = ot_get_option('style_footer_menu_line_bg_bottom_color','#ededed');
	$style_footer_menu_top_border_width = ot_get_option('style_footer_menu_top_border_width','0');
	$style_footer_menu_top_border_color = ot_get_option('style_footer_menu_top_border_color','#000000');
	$style_footer_menu_top_border_style = ot_get_option('style_footer_menu_top_border_style','solid');
	$style_footer_menu_bottom_border_width = ot_get_option('style_footer_menu_bottom_border_width','0');
	$style_footer_menu_bottom_border_color = ot_get_option('style_footer_menu_bottom_border_color','#000000');
	$style_footer_menu_bottom_border_style = ot_get_option('style_footer_menu_bottom_border_style','solid');
	$social_icon_color = ot_get_option('social_icon_color','#ffffff');
	$social_icon_hover_color = ot_get_option('social_icon_hover_color','#ff5b01');
	$style_header_height = ot_get_option('style_header_height','77');
	$style_logo_text_color = ot_get_option('style_logo_text_color','#000000');
	$style_logo_descr_color = ot_get_option('style_logo_descr_color','#ff5b01');
	$style_logo_bg_top_color = ot_get_option('style_logo_bg_top_color','#ffffff');
	$style_logo_bg_bottom_color = ot_get_option('style_logo_bg_bottom_color','#ededed');
	$style_footer_logo_text_color = ot_get_option('style_footer_logo_text_color','#000000');
	$style_footer_logo_descr_color = ot_get_option('style_footer_logo_descr_color','#ff5b01');
	$style_footer_logo_bg_top_color = ot_get_option('style_footer_logo_bg_top_color','#ffffff');
	$style_footer_logo_bg_bottom_color = ot_get_option('style_footer_logo_bg_bottom_color','#ededed');
	$style_header_bg_all = ot_get_option('style_header_bg_img','');
	$style_header_bg_img_100percent = ot_get_option('style_header_bg_img_100percent','');
	if(!isset($style_header_bg_img_100percent[0]))
		$style_header_bg_img_100percent = 'no';
	else
		$style_header_bg_img_100percent = $style_header_bg_img_100percent[0];
	/*if(!isset($style_header_bg_all['background-color']) || empty($style_header_bg_all['background-color']))
		$style_header_bg_all['background-color'] = '#000000';*/
	if(!isset($style_header_bg_all['background-image']) || empty($style_header_bg_all['background-image']))
		$style_header_bg_all['background-image'] = '';
	else
		$style_header_bg_all['background-image'] = 'url('.$style_header_bg_all['background-image'].')';
	if(!isset($style_header_bg_all['background-repeat']) || empty($style_header_bg_all['background-repeat']))
		$style_header_bg_all['background-repeat'] = '';
	if(!isset($style_header_bg_all['background-position']) || empty($style_header_bg_all['background-position']))
		$style_header_bg_all['background-position'] = '';
	if(!isset($style_header_bg_all['background-attachment']) || empty($style_header_bg_all['background-attachment']))
		$style_header_bg_all['background-attachment'] = '';
	$style_bg_gradient_color = $style_header_bg_all['background-color'];
	$style_header_bg_css = $style_header_bg_all['background-attachment'].' '.$style_bg_gradient_color.' '.$style_header_bg_all['background-image'].' '.$style_header_bg_all['background-position'].' '.$style_header_bg_all['background-repeat'];
	
	$style_footer_bg_all = ot_get_option('style_footer_bg_img','');
	$style_footer_bg_img_100percent = ot_get_option('style_footer_bg_img_100percent','');
	if(!isset($style_footer_bg_img_100percent[0]))
		$style_footer_bg_img_100percent = 'no';
	else
		$style_footer_bg_img_100percent = $style_footer_bg_img_100percent[0];
	if(!isset($style_footer_bg_all['background-color']) || empty($style_footer_bg_all['background-color']))
		$style_footer_bg_all['background-color'] = '#000000';
	if(!isset($style_footer_bg_all['background-image']) || empty($style_footer_bg_all['background-image']))
		$style_footer_bg_all['background-image'] = '';
	else
		$style_footer_bg_all['background-image'] = 'url('.$style_footer_bg_all['background-image'].')';
	if(!isset($style_footer_bg_all['background-repeat']) || empty($style_footer_bg_all['background-repeat']))
		$style_footer_bg_all['background-repeat'] = '';
	if(!isset($style_footer_bg_all['background-position']) || empty($style_footer_bg_all['background-position']))
		$style_footer_bg_all['background-position'] = '';
	if(!isset($style_footer_bg_all['background-attachment']) || empty($style_footer_bg_all['background-attachment']))
		$style_footer_bg_all['background-attachment'] = '';
	$style_bg_gradient_footer_color = $style_footer_bg_all['background-color'];
	$style_footer_bg_css = $style_footer_bg_all['background-attachment'].' '.$style_bg_gradient_footer_color.' '.$style_footer_bg_all['background-image'].' '.$style_footer_bg_all['background-position'].' '.$style_footer_bg_all['background-repeat'];
	
	$style_bg_all = ot_get_option('style_bg_img','');
	$style_bg_img_100percent = ot_get_option('style_bg_img_100percent','');
	if(!isset($style_bg_img_100percent[0]))
		$style_bg_img_100percent = 'no';
	else
		$style_bg_img_100percent = $style_bg_img_100percent[0];
	if(!isset($style_bg_all['background-color']) || empty($style_bg_all['background-color']))
		$style_bg_all['background-color'] = '#000000';
	if(!isset($style_bg_all['background-image']) || empty($style_bg_all['background-image']))
		$style_bg_all['background-image'] = '';
	else
		$style_bg_all['background-image'] = 'url('.$style_bg_all['background-image'].')';
	if(!isset($style_bg_all['background-repeat']) || empty($style_bg_all['background-repeat']))
		$style_bg_all['background-repeat'] = '';
	if(!isset($style_bg_all['background-position']) || empty($style_bg_all['background-position']))
		$style_bg_all['background-position'] = '';
	if(!isset($style_bg_all['background-attachment']) || empty($style_bg_all['background-attachment']))
		$style_bg_all['background-attachment'] = '';
	$style_bg_color = $style_bg_all['background-color'];
	$style_bg_css = $style_bg_all['background-attachment'].' '.$style_bg_color.' '.$style_bg_all['background-image'].' '.$style_bg_all['background-position'].' '.$style_bg_all['background-repeat'];
	
	$style_menu_bg = ot_get_option('style_menu_bg','');
	$style_menu_100percent = ot_get_option('style_menu_100percent','');
	if(!isset($style_menu_100percent[0]))
		$style_menu_100percent = 'no';
	else
		$style_menu_100percent = $style_menu_100percent[0];
	if(!isset($style_menu_bg['background-color']) || empty($style_menu_bg['background-color']))
		$style_menu_bg['background-color'] = '';
	if(!isset($style_menu_bg['background-image']) || empty($style_menu_bg['background-image']))
		$style_menu_bg['background-image'] = '';
	else
		$style_menu_bg['background-image'] = 'url('.$style_menu_bg['background-image'].')';
	if(!isset($style_menu_bg['background-repeat']) || empty($style_menu_bg['background-repeat']))
		$style_menu_bg['background-repeat'] = '';
	if(!isset($style_menu_bg['background-position']) || empty($style_menu_bg['background-position']))
		$style_menu_bg['background-position'] = '';
	if(!isset($style_menu_bg['background-attachment']) || empty($style_menu_bg['background-attachment']))
		$style_menu_bg['background-attachment'] = '';
	$style_menu_bg_color = $style_menu_bg['background-color'];
	if(!empty($style_menu_bg['background-image']) && empty($style_menu_bg_color))
		$style_menu_bg_color = $style_menu_line_bg_top_color;
	$style_menu_css = trim($style_menu_bg['background-attachment'].' '.$style_menu_bg_color.' '.$style_menu_bg['background-image'].' '.$style_menu_bg['background-position'].' '.$style_menu_bg['background-repeat']);
	
	$style_footer_menu_bg = ot_get_option('style_footer_menu_bg','');
	$style_footer_menu_100percent = ot_get_option('style_footer_menu_100percent','');
	if(!isset($style_footer_menu_100percent[0]))
		$style_footer_menu_100percent = 'no';
	else
		$style_footer_menu_100percent = $style_footer_menu_100percent[0];
	if(!isset($style_footer_menu_bg['background-color']) || empty($style_footer_menu_bg['background-color']))
		$style_footer_menu_bg['background-color'] = '';
	if(!isset($style_footer_menu_bg['background-image']) || empty($style_footer_menu_bg['background-image']))
		$style_footer_menu_bg['background-image'] = '';
	else
		$style_footer_menu_bg['background-image'] = 'url('.$style_footer_menu_bg['background-image'].')';
	if(!isset($style_footer_menu_bg['background-repeat']) || empty($style_footer_menu_bg['background-repeat']))
		$style_footer_menu_bg['background-repeat'] = '';
	if(!isset($style_footer_menu_bg['background-position']) || empty($style_footer_menu_bg['background-position']))
		$style_footer_menu_bg['background-position'] = '';
	if(!isset($style_footer_menu_bg['background-attachment']) || empty($style_footer_menu_bg['background-attachment']))
		$style_footer_menu_bg['background-attachment'] = '';
	$style_footer_menu_bg_color = $style_footer_menu_bg['background-color'];
	if(!empty($style_footer_menu_bg['background-image']) && empty($style_footer_menu_bg_color))
		$style_footer_menu_bg_color = $style_footer_menu_line_bg_top_color;
	$style_footer_menu_css = trim($style_footer_menu_bg['background-attachment'].' '.$style_footer_menu_bg_color.' '.$style_footer_menu_bg['background-image'].' '.$style_footer_menu_bg['background-position'].' '.$style_footer_menu_bg['background-repeat']);
	
	$fonts_text = ot_get_option('fonts_text','Arial');
	$fonts_text_titles = ot_get_option('fonts_text_titles','FRADMCN');
	$fonts_menu_links = ot_get_option('fonts_menu_links','Arial');
	$fonts_box_titles = ot_get_option('fonts_box_titles','FRADMCN');
	$fonts_box_text = ot_get_option('fonts_box_text','Arial');
	$fonts_logo = ot_get_option('fonts_logo','MagistralC-Bold');
?>
<style type="text/css">
	<?php if(!empty($fonts_text) && !in_array($fonts_text, $am_option['fonts']['default'])) : ?>
	@import url(http://fonts.googleapis.com/css?family=<?php echo str_replace(' ', '+', $fonts_text); ?>);
	<?php endif; ?>
	<?php if(!empty($fonts_text_titles) && !in_array($fonts_text_titles, $am_option['fonts']['default'])) : ?>
	@import url(http://fonts.googleapis.com/css?family=<?php echo str_replace(' ', '+', $fonts_text_titles); ?>);
	<?php endif; ?>
	<?php if(!empty($fonts_menu_links) && !in_array($fonts_menu_links, $am_option['fonts']['default'])) : ?>
	@import url(http://fonts.googleapis.com/css?family=<?php echo str_replace(' ', '+', $fonts_menu_links); ?>);
	<?php endif; ?>
	<?php if(!empty($fonts_box_titles) && !in_array($fonts_box_titles, $am_option['fonts']['default'])) : ?>
	@import url(http://fonts.googleapis.com/css?family=<?php echo str_replace(' ', '+', $fonts_box_titles); ?>);
	<?php endif; ?>
	<?php if(!empty($fonts_box_text) && !in_array($fonts_box_text, $am_option['fonts']['default'])) : ?>
	@import url(http://fonts.googleapis.com/css?family=<?php echo str_replace(' ', '+', $fonts_box_text); ?>);
	<?php endif; ?>
	<?php if(!empty($fonts_logo) && !in_array($fonts_logo, $am_option['fonts']['default'])) : ?>
	@import url(http://fonts.googleapis.com/css?family=<?php echo str_replace(' ', '+', $fonts_logo); ?>);
	<?php endif; ?>
	
	a {
		color: <?php echo $style_text_link_color; ?>;
	}
	body {
		<?php if($style_bg_img_100percent=='yes'): ?>
		background: <?php echo $style_bg_color; ?>;
		<?php else : ?>
		background: <?php echo $style_bg_css; ?>;
		<?php endif; ?>
	}
	body, input, select, textarea {
		font-family: '<?php echo $fonts_text; ?>';
	}
	body, #header .time span, #respond, #respond a {
		color: <?php echo $style_text_color; ?>;
	}
	#search_block form input[type=text]{
		color: <?php echo $style_bg_box_search_text_color; ?>;
	}
	h1, h2, h3, h4, h5, h6 {
		color: <?php echo $style_headers_color; ?>;
		font-family: '<?php echo $fonts_text_titles; ?>';
	}
	h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
		color: <?php echo $style_headers_link_color; ?>;
	}
	#logo, #logo-footer {
		font-family: '<?php echo $fonts_logo; ?>';
	}
	#content .content-blocks article h2.title{
		font-family: '<?php echo $fonts_box_titles; ?>';
		color: <?php echo $style_weblinks_title_color; ?>;
	}
	#content .content-blocks article {
		font-family: '<?php echo $fonts_box_text; ?>';
	}
	#header .time, #footer p.copyrights a {
		color: <?php echo $style_highlight_color; ?>;
	}
	#logo{
		color: <?php echo $style_logo_text_color; ?>;
		background: <?php echo $style_logo_bg_bottom_color; ?>;
		background-image: -moz-linear-gradient(bottom, <?php echo $style_logo_bg_bottom_color; ?> 0%, <?php echo $style_logo_bg_top_color; ?> 100%);
		background-image: -o-linear-gradient(bottom, <?php echo $style_logo_bg_bottom_color; ?> 0%, <?php echo $style_logo_bg_top_color; ?> 100%);
		background-image: -webkit-linear-gradient(bottom, <?php echo $style_logo_bg_bottom_color; ?> 0%, <?php echo $style_logo_bg_top_color; ?> 100%);
		-pie-background: linear-gradient(<?php echo $style_logo_bg_bottom_color; ?>, <?php echo $style_logo_bg_top_color; ?>);
	}
	#logo .sub{
		color: <?php echo $style_logo_descr_color; ?>;
	}
	#header .left #logo .sub{
		<?php if($style_header_height < 77): ?>
		display: inline;
		<?php endif; ?>
	}
	#logo-footer{
		color: <?php echo $style_footer_logo_text_color; ?>;
		background: <?php echo $style_footer_logo_bg_bottom_color; ?>;
		background-image: -moz-linear-gradient(bottom, <?php echo $style_footer_logo_bg_bottom_color; ?> 0%, <?php echo $style_footer_logo_bg_top_color; ?> 100%);
		background-image: -o-linear-gradient(bottom, <?php echo $style_footer_logo_bg_bottom_color; ?> 0%, <?php echo $style_footer_logo_bg_top_color; ?> 100%);
		background-image: -webkit-linear-gradient(bottom, <?php echo $style_footer_logo_bg_bottom_color; ?> 0%, <?php echo $style_footer_logo_bg_top_color; ?> 100%);
		-pie-background: linear-gradient(<?php echo $style_footer_logo_bg_bottom_color; ?>, <?php echo $style_footer_logo_bg_top_color; ?>);	
	}
	#logo-footer .sub{
		color: <?php echo $style_footer_logo_descr_color; ?>;
	}
	#search_block form input[type=submit], #commentform #submit {
		background: <?php echo $style_button_bg_top_color; ?>;
		background-image: -moz-linear-gradient(bottom, <?php echo $style_button_bg_bottom_color; ?> 0%, <?php echo $style_button_bg_top_color; ?> 100%);
		background-image: -o-linear-gradient(bottom, <?php echo $style_button_bg_bottom_color; ?> 0%, <?php echo $style_button_bg_top_color; ?> 100%);
		background-image: -webkit-linear-gradient(bottom, <?php echo $style_button_bg_bottom_color; ?> 0%, <?php echo $style_button_bg_top_color; ?> 100%);
		background-image: linear-gradient(bottom, <?php echo $style_button_bg_bottom_color; ?> 0%, <?php echo $style_button_bg_top_color; ?> 100%);
		color: <?php echo $style_button_text_color; ?>;
		-pie-background: linear-gradient(<?php echo $style_button_bg_bottom_color; ?>, <?php echo $style_button_bg_top_color; ?>);
	}
	#header .container_full {
		background: <?php echo $style_header_bg_css; ?>;
		<?php if($style_header_bg_img_100percent=='yes'): ?>
		background-size: cover;
		<?php endif; ?>
	}
	#header .head {
		height: <?php echo $style_header_height; ?>px;
		min-height: inherit;
		<?php if($style_header_height < 77): ?>
		padding: 0 0 15px;
		<?php endif; ?>
	}
	#footer .inner {
		background: <?php echo $style_footer_bg_css; ?>;
		<?php if($style_footer_bg_img_100percent=='yes'): ?>
		background-size: cover;
		<?php endif; ?>
	}
	#before_shade {
		background: -moz-linear-gradient(top,  <?php echo $style_bg_gradient_color; ?> 0%, rgba(0,0,0,0) 89%, rgba(0,0,0,0) 100%); /* FF3.6+ */
		background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,<?php echo $style_bg_gradient_color; ?>), color-stop(89%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0))); /* Chrome,Safari4+ */
		background: -webkit-linear-gradient(top,  <?php echo $style_bg_gradient_color; ?> 0%,rgba(0,0,0,0) 89%,rgba(0,0,0,0) 100%); /* Chrome10+,Safari5.1+ */
		background: -o-linear-gradient(top,  <?php echo $style_bg_gradient_color; ?> 0%,rgba(0,0,0,0) 89%,rgba(0,0,0,0) 100%); /* Opera 11.10+ */
		background: -ms-linear-gradient(top,  <?php echo $style_bg_gradient_color; ?> 0%,rgba(0,0,0,0) 89%,rgba(0,0,0,0) 100%); /* IE10+ */
		background: linear-gradient(to bottom,  <?php echo $style_bg_gradient_color; ?> 0%,rgba(0,0,0,0) 89%,rgba(0,0,0,0) 100%); /* W3C */
		filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=<?php echo $style_bg_gradient_color; ?>, endColorstr='#00000000',GradientType=0 ); /* IE6-8 */
		top: <?php echo $style_header_height; ?>px;
	}
	#after_shade {
		background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0) 11%, <?php echo $style_bg_gradient_footer_color; ?> 100%); /* FF3.6+ */
		background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(11%,rgba(0,0,0,0)), color-stop(100%,<?php echo $style_bg_gradient_footer_color; ?>)); /* Chrome,Safari4+ */
		background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 11%,<?php echo $style_bg_gradient_footer_color; ?> 100%); /* Chrome10+,Safari5.1+ */
		background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 11%,<?php echo $style_bg_gradient_footer_color; ?> 100%); /* Opera 11.10+ */
		background: -ms-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 11%,<?php echo $style_bg_gradient_footer_color; ?> 100%); /* IE10+ */
		background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 11%,<?php echo $style_bg_gradient_footer_color; ?> 100%); /* W3C */
		filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr=<?php echo $style_bg_gradient_footer_color; ?>,GradientType=0 ); /* IE6-8 */
	}
	#mainmenu li a {
		color: <?php echo $style_menu_link_color; ?>;
		border: <?php echo $style_menu_link_border_width; ?>px <?php echo $style_menu_link_border_style; ?> <?php echo $style_menu_link_border_color; ?>;
		border-radius: <?php echo $style_menu_link_border_radius; ?>px;
		line-height: <?php echo 35-2*$style_menu_link_border_width; ?>px; /* 35 */
	}
	
	#mainmenu li a:hover,
	#mainmenu .current_page_ancestor a,
	#mainmenu .current_page_parent a,
	#mainmenu .current_page_item a,
	
	#mainmenu .current-menu-ancestor a,
	#mainmenu .current-menu-parent a,
	#mainmenu .current-menu-item a,
	
	#mainmenu .current-page-ancestor a,
	#mainmenu .current-page-parent a,
	#mainmenu .current-page-item a{
		color: <?php echo $style_menu_hover_link_color; ?>;
		background: <?php echo $style_menu_hover_bg_top_color; ?>;
		background-image: -moz-linear-gradient(bottom, <?php echo $style_menu_hover_bg_bottom_color; ?> 0%, <?php echo $style_menu_hover_bg_top_color; ?> 100%);
		background-image: -o-linear-gradient(bottom, <?php echo $style_menu_hover_bg_bottom_color; ?> 0%, <?php echo $style_menu_hover_bg_top_color; ?> 100%);
		background-image: -webkit-linear-gradient(bottom, <?php echo $style_menu_hover_bg_bottom_color; ?> 0%, <?php echo $style_menu_hover_bg_top_color; ?> 100%);
		-pie-background: linear-gradient(<?php echo $style_menu_hover_bg_bottom_color; ?>, <?php echo $style_menu_hover_bg_top_color; ?>);
	}

	#content .content-blocks article .entry, #content .content-blocks article .entry a {
		color: <?php echo $style_weblinks_link_color; ?>;
	}

	#content .content-blocks article .entry ul li a {
		border-bottom: 1px solid <?php echo $style_weblinks_bottom_border_color; ?>;
		color: <?php echo $style_weblinks_link_color; ?>;
	}
	#content .content-blocks article .entry ul li a:hover {
		color: <?php echo $style_weblinks_link_hover_color; ?>;
		background-image: -moz-linear-gradient(bottom, <?php echo $style_weblinks_bg_bottom_color; ?> 0%, <?php echo $style_weblinks_bg_top_color; ?> 100%);
		background-image: -o-linear-gradient(bottom, <?php echo $style_weblinks_bg_bottom_color; ?> 0%, <?php echo $style_weblinks_bg_top_color; ?> 100%);
		background-image: -webkit-linear-gradient(bottom, <?php echo $style_weblinks_bg_bottom_color; ?> 0%, <?php echo $style_weblinks_bg_top_color; ?> 100%);
		-pie-background: linear-gradient(<?php echo $style_weblinks_bg_bottom_color; ?>, <?php echo $style_weblinks_bg_top_color; ?>);
	}
	#content .content-blocks article .entry ul li a:after{
		background: <?php echo $style_weblinks_icon_color; ?>;
	}
	#footer .ft-info{
		color: <?php echo $style_footer_text_color; ?>;
	}
	#footer .ft-info a {
		color: <?php echo $style_footer_link_color; ?>;
	}
	#footer .ft-info a:hover {
		color: <?php echo $style_footer_link_hover_color; ?>;
	}
	#footer .socials li a {
		color: <?php echo $social_icon_color; ?>;
	}
	#footer .socials li a:hover {
		color: <?php echo $social_icon_hover_color; ?>;
	}
	#content .content-blocks article .bg, .post .bg, .pagination .bg {
	    background: <?php echo $style_bg_box_color; ?>;
		opacity: <?php echo $style_bg_box_transparent_level; ?>;
	}
	#search_block form .bg{
		background: <?php echo $style_bg_box_search_color; ?>;
		opacity: <?php echo $style_bg_box_search_transparent_level; ?>;
	}
	#content .content-blocks article .bg, .post .bg, .pagination .bg{
		border: <?php echo $style_bg_box_boder_width; ?>px <?php echo $style_bg_box_boder_style; ?> <?php echo $style_bg_box_boder_color; ?>;
	}
	
	#mainmenu {
		font-family: '<?php echo $fonts_menu_links; ?>';
		<?php if($style_menu_hide_all_bg!='yes'): ?>
		background: <?php echo $style_menu_line_bg_top_color; ?>;
		background-image: -moz-linear-gradient(bottom, <?php echo $style_menu_line_bg_bottom_color; ?> 0%, <?php echo $style_menu_line_bg_top_color; ?> 100%);
		background-image: -o-linear-gradient(bottom, <?php echo $style_menu_line_bg_bottom_color; ?> 0%, <?php echo $style_menu_line_bg_top_color; ?> 100%);
		background-image: -webkit-linear-gradient(bottom, <?php echo $style_menu_line_bg_bottom_color; ?> 0%, <?php echo $style_menu_line_bg_top_color; ?> 100%);
		-pie-background: linear-gradient(<?php echo $style_menu_line_bg_bottom_color; ?>, <?php echo $style_menu_line_bg_top_color; ?>);
		<?php if(!empty($style_menu_css)): ?>
		background: <?php echo $style_menu_css; ?>;
		<?php endif; ?>
		<?php if($style_menu_100percent=='yes'): ?>
		background-size: cover;
		<?php endif; ?>
		<?php else : ?>
		background: none;
		<?php endif; ?>
		border-top: <?php echo $style_menu_top_border_width; ?>px <?php echo $style_menu_top_border_style; ?> <?php echo $style_menu_top_border_color; ?>;
		border-bottom: <?php echo $style_menu_bottom_border_width; ?>px <?php echo $style_menu_bottom_border_style; ?> <?php echo $style_menu_bottom_border_color; ?>;
		margin-bottom: <?php echo $style_menu_bottom_margin; ?>px;
		margin-top: <?php echo $style_menu_top_margin; ?>px;
	}
	#footer .line {
		background: <?php echo $style_footer_menu_line_bg_top_color; ?>;
		background-image: -moz-linear-gradient(bottom, <?php echo $style_footer_menu_line_bg_bottom_color; ?> 0%, <?php echo $style_footer_menu_line_bg_top_color; ?> 100%);
		background-image: -o-linear-gradient(bottom, <?php echo $style_footer_menu_line_bg_bottom_color; ?> 0%, <?php echo $style_footer_menu_line_bg_top_color; ?> 100%);
		background-image: -webkit-linear-gradient(bottom, <?php echo $style_footer_menu_line_bg_bottom_color; ?> 0%, <?php echo $style_footer_menu_line_bg_top_color; ?> 100%);
		-pie-background: linear-gradient(<?php echo $style_footer_menu_line_bg_bottom_color; ?>, <?php echo $style_footer_menu_line_bg_top_color; ?>);	
		<?php if(!empty($style_footer_menu_css)): ?>
		background: <?php echo $style_footer_menu_css; ?>;
		<?php endif; ?>
		<?php if($style_footer_menu_100percent=='yes'): ?>
		background-size: cover;
		<?php endif; ?>
		border-top: <?php echo $style_footer_menu_top_border_width; ?>px <?php echo $style_footer_menu_top_border_style; ?> <?php echo $style_footer_menu_top_border_color; ?>;
		border-bottom: <?php echo $style_footer_menu_bottom_border_width; ?>px <?php echo $style_footer_menu_bottom_border_style; ?> <?php echo $style_footer_menu_bottom_border_color; ?>;
	}
	#mainmenu li:after {
		background: <?php echo $style_menu_separator_color; ?>;
	}
</style>
<?php
}
?>